package com.tzld.longarticle.recommend.server.model.vo;

import lombok.Data;

@Data
public class ContentGroupFunnelExport {

    private String dateStr;
    private String type;
    private Long planCrawlerCount;
    private Long crawlerCount;
    private Long produceCount;
    private Long produceAuditPassCount;
    private Long produceAuditCount;
    private Double produceAuditPassRate;
    private Long matchSuccessCount;
    private Long matchCount;
    private Double matchSuccessRate;
    private Long videoAuditPassCount;
    private Long videoAuditCount;
    private Double videoAuditPassRate;
    private Double articleAuditPassRate;
    private Long videoPoolCrawlerCount;
    private Long videoPoolPQAuditCount;
    private Long videoPoolPQAuditPassCount;
    private Double videoPoolPQAuditPassRate;
    private Long videoPoolAuditCount;
    private Long videoPoolAuditPassCount;
    private Double videoPoolAuditPassRate;
    private Double videoPoolCrawlerAuditPassRate;

    public static ContentGroupFunnelExport getArticleDefault() {
        ContentGroupFunnelExport export = new ContentGroupFunnelExport();
        export.setProduceAuditCount(0L);
        export.setCrawlerCount(0L);
        export.setProduceCount(0L);
        export.setProduceAuditPassCount(0L);
        export.setProduceAuditCount(0L);
        export.setProduceAuditPassRate(0.0);
        export.setMatchSuccessCount(0L);
        export.setMatchCount(0L);
        export.setMatchSuccessRate(0.0);
        export.setVideoAuditPassCount(0L);
        export.setVideoAuditCount(0L);
        export.setVideoAuditPassRate(0.0);
        export.setArticleAuditPassRate(0.0);
        return export;
    }

    public static ContentGroupFunnelExport getVideoDefault() {
        ContentGroupFunnelExport export = new ContentGroupFunnelExport();
        export.setVideoPoolCrawlerCount(0L);
        export.setVideoPoolPQAuditCount(0L);
        export.setVideoPoolPQAuditPassCount(0L);
        export.setVideoPoolPQAuditPassRate(0.0);
        export.setVideoPoolAuditCount(0L);
        export.setVideoPoolAuditPassCount(0L);
        export.setVideoPoolAuditPassRate(0.0);
        export.setVideoPoolCrawlerAuditPassRate(0.0);
        return export;
    }
}
